import ReactDOM from "react-dom";
import Mobile from './mobile';
import PC from './pc';
import { useState } from "react";

function getQueryString(name) {
  let reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
  let r = window.location.search.substring(1).match(reg);
  if (r != null) {
      return decodeURIComponent(r[2]);
  };
  return null;
}

const Index = () => {
  const [isPc, setIsPc] = useState(getQueryString('mode') === 'pc');

  return isPc ? <PC setIsPc={setIsPc}/> : <Mobile setIsPc={setIsPc}/>
}

ReactDOM.render(<Index />, document.getElementById("root"));
